Skip to main content
GET
/
v1
/
beneficiaries
List Beneficiaries
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "beneficiary_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
      "short_reference_id": "P220406-LLCVLRM",
      "entity_type": "COMPANY",
      "payment_method": "LOCAL",
      "email": "example@uqpay.com",
      "beneficiary_status": "ACTIVE",
      "nickname": "John Doe",
      "company_name": "UQPAY TECHNOLOGY SG PTE LTD",
      "summary": "John Doe",
      "first_name": "John",
      "last_name": "Doe",
      "id_number": "110101199001011234",
      "bank_details": {
        "bank_name": "Bank of America",
        "bank_address": "123 Main St",
        "bank_country_code": "SG",
        "account_holder": "John Doe",
        "account_currency_code": "USD",
        "swift_code": "WELGBE22",
        "clearing_system": "GIRO",
        "account_number": "12345678",
        "iban": "GB82 WEST 1234 5698 7654 32",
        "routing_code_type1": "aba",
        "routing_code_value1": "123456789",
        "routing_code_type2": "ach",
        "routing_code_value2": "123456789"
      },
      "address": {
        "country": "SG",
        "city": "Singapore",
        "street_address": "123 Main St",
        "postal_code": "123456",
        "state": "CA",
        "nationality": "SG"
      },
      "create_time": "2024-03-01T00:00:00+08:00",
      "update_time": "2024-03-01T00:00:00+08:00",
      "additional_info": {
        "organization_code": "91210106MA0P46BWXY",
        "proxy_id": "<string>",
        "id_type": "PASSPORT",
        "id_number": "AB1234567",
        "tax_id": "123456789",
        "msisdn": "+65111111"
      }
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

entity_type
enum<string>

Specifies the type of beneficiary entity to filter by. Valid values are:

  • COMPANY : corporate entities
  • INDIVIDUAL : personal accounts
Available options:
COMPANY,
INDIVIDUAL
nickname
string

Nickname of the beneficiary Nickname of the beneficiary.

Maximum string length: 120
Example:

"John Doe"

currency
string

Specifies the currency for which transactions are retrieved. Currency codes follow the ISO 4217 standard.

Example:

"USD"

company_name
string

Company of the beneficiary Company name of the beneficiary, only exist when the entity_type is COMPANY.

  • When payment_method = SWIFT:

    • Only English letters, numbers, special characters (half-width format), and spaces can be included.
    • Allowed special characters: -_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
  • When payment_method = LOCAL:

    • No strict validation rules apply, local language characters are supported.
  • No need to pass this field when bank_details.bank_country_code = SG & bank_details.account_currency_code = SGD

  • When bank_country_code = CN & account_currency_code = CNH & payment_method = LOCAL & entity_type = COMPANY, Chinese characters and Chinese parentheses () are supported.

Maximum string length: 120
Pattern: ^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$
Example:

"UQPAY TECHNOLOGY SG PTE LTD"

Response

OK - Successfully retrieved a list of beneficiaries.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]